Skip to content
Start here

Update a custom page

client.CustomPages.Update(ctx, identifier, params) (*CustomPageUpdateResponse, error)
PUT/{accounts_or_zones}/{account_or_zone_id}/custom_pages/{identifier}

Updates the configuration of an existing custom page.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Custom Pages WriteAccount Settings Write
ParametersExpand Collapse

Error Page Types

One of the following:
const CustomPageUpdateParamsIdentifier1000Errors CustomPageUpdateParamsIdentifier = "1000_errors"
const CustomPageUpdateParamsIdentifier500Errors CustomPageUpdateParamsIdentifier = "500_errors"
const CustomPageUpdateParamsIdentifierBasicChallenge CustomPageUpdateParamsIdentifier = "basic_challenge"
const CustomPageUpdateParamsIdentifierCountryChallenge CustomPageUpdateParamsIdentifier = "country_challenge"
const CustomPageUpdateParamsIdentifierIPBlock CustomPageUpdateParamsIdentifier = "ip_block"
const CustomPageUpdateParamsIdentifierManagedChallenge CustomPageUpdateParamsIdentifier = "managed_challenge"
const CustomPageUpdateParamsIdentifierRatelimitBlock CustomPageUpdateParamsIdentifier = "ratelimit_block"
const CustomPageUpdateParamsIdentifierUnderAttack CustomPageUpdateParamsIdentifier = "under_attack"
const CustomPageUpdateParamsIdentifierWAFBlock CustomPageUpdateParamsIdentifier = "waf_block"
const CustomPageUpdateParamsIdentifierWAFChallenge CustomPageUpdateParamsIdentifier = "waf_challenge"
params CustomPageUpdateParams
State param.Field[CustomPageUpdateParamsState]

Body param: The custom page state.

const CustomPageUpdateParamsStateDefault CustomPageUpdateParamsState = "default"
const CustomPageUpdateParamsStateCustomized CustomPageUpdateParamsState = "customized"
URL param.Field[string]

Body param: The URL associated with the custom page.

formaturi
AccountID param.Field[string]optional

Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

ZoneID param.Field[string]optional

Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

ReturnsExpand Collapse
type CustomPageUpdateResponse struct{…}
ID stringoptional
CreatedOn Timeoptional
formatdate-time
Description stringoptional
ModifiedOn Timeoptional
formatdate-time
PreviewTarget stringoptional
RequiredTokens []stringoptional
State CustomPageUpdateResponseStateoptional

The custom page state.

One of the following:
const CustomPageUpdateResponseStateDefault CustomPageUpdateResponseState = "default"
const CustomPageUpdateResponseStateCustomized CustomPageUpdateResponseState = "customized"
URL stringoptional

The URL associated with the custom page.

formaturi

Update a custom page

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/custom_pages"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIKey("144c9defac04969c7bfad8efaa8ea194"),
    option.WithAPIEmail("user@example.com"),
  )
  customPage, err := client.CustomPages.Update(
    context.TODO(),
    custom_pages.CustomPageUpdateParamsIdentifierRatelimitBlock,
    custom_pages.CustomPageUpdateParams{
      State: cloudflare.F(custom_pages.CustomPageUpdateParamsStateDefault),
      URL: cloudflare.F("http://www.example.com"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", customPage.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "basic_challenge",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "Basic Challenge",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "preview_target": "block:basic-sec-captcha",
    "required_tokens": [
      "::CAPTCHA_BOX::"
    ],
    "state": "default",
    "url": "http://www.example.com"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "basic_challenge",
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "Basic Challenge",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "preview_target": "block:basic-sec-captcha",
    "required_tokens": [
      "::CAPTCHA_BOX::"
    ],
    "state": "default",
    "url": "http://www.example.com"
  }
}